%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	C library for the Flickr API
Name:		flickcurl
Version:	1.26
Release:	%mkrel 6
License:	LGPLv2+
Group:		Networking/File transfer
URL:		http://librdf.org/flickcurl/
Source0:	http://download.dajobe.org/%{name}/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libxml-2.0)
# Optional
BuildRequires:	pkgconfig(raptor2)

%description
Flickcurl is a C library for the Flickr API, handling creating the
requests, signing, token management, calling the API, marshalling
request parameters and decoding responses. It uses libcurl to call the
REST web service and libxml2 to manipulate the XML responses. The
current version supports part of the API (see Flickcurl API coverage)
primarily the functions for reading photo, people and tags description,
uploading photos, changing tags and comments.

This package contains some utility programs using the %{name} library.


%package	-n %{libname}
Summary:	C library for the Flickr API
Group:		System/Libraries

%description -n %{libname}
Flickcurl is a C library for the Flickr API, handling creating the
requests, signing, token management, calling the API, marshalling
request parameters and decoding responses. It uses libcurl to call the
REST web service and libxml2 to manipulate the XML responses. The
current version supports part of the API (see Flickcurl API coverage)
primarily the functions for reading photo, people and tags description,
uploading photos, changing tags and comments.


%package	-n %{develname}
Summary:	Development files for %{libname}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}flickcurl0-devel < 1.21-2

%description	-n %{develname}
This package contains the developement files for the %{name} library.


%prep
%autosetup

%build
%configure --with-raptor=2 --disable-static
%make

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files
%doc LICENSE-2.0.txt LICENSE.html AUTHORS
%doc NEWS NEWS.html README README.html ChangeLog coverage.html
%{_bindir}/%{name}
%{_bindir}/flickrdf
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/flickrdf.1.*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc NOTICE
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}.h
%{_bindir}/%{name}-config
%{_mandir}/man1/%{name}-config.1.*
%{_datadir}/gtk-doc/html/flickcurl


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 1.26-6.mga8
+ Revision: 1512315
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.26-5.mga7
+ Revision: 1297723
- Mageia 7 Mass Rebuild

* Sun Jan 31 2016 umeabot <umeabot> 1.26-4.mga6
+ Revision: 929417
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.26-3.mga5
+ Revision: 746387
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.26-2.mga5
+ Revision: 679233
- Mageia 5 Mass Rebuild

* Tue Aug 19 2014 sander85 <sander85> 1.26-1.mga5
+ Revision: 665405
- New version: 1.26
- Convert to %%autosetup

* Sat Oct 19 2013 umeabot <umeabot> 1.25-2.mga4
+ Revision: 534818
- Mageia 4 Mass Rebuild

* Sat Sep 14 2013 sander85 <sander85> 1.25-1.mga4
+ Revision: 478953
- New version: 1.25

* Sun Jun 02 2013 sander85 <sander85> 1.24-1.mga4
+ Revision: 434560
- New version: 1.24

* Fri Jan 11 2013 umeabot <umeabot> 1.23-2.mga3
+ Revision: 350528
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 sander85 <sander85> 1.23-1.mga3
+ Revision: 291727
- New version: 1.23

* Sat Jan 07 2012 sander85 <sander85> 1.22-1.mga2
+ Revision: 192884
- new version: 1.22

* Sun Nov 20 2011 fwang <fwang> 1.21-2.mga2
+ Revision: 169637
- fix build with latest curl
- build with raptor2

* Tue Jun 28 2011 sander85 <sander85> 1.21-1.mga2
+ Revision: 115425
- new version: 1.21
- clean spec
- imported package flickcurl


* Tue Apr 27 2010 Frederik Himpe <fhimpe@mandriva.org> 1.18-1mdv2010.1
+ Revision: 539833
- update to new version 1.18

* Mon Mar 08 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.17-1mdv2010.1
+ Revision: 515644
- new upstream release 1.17

* Thu Jan 14 2010 Frederik Himpe <fhimpe@mandriva.org> 1.16-1mdv2010.1
+ Revision: 491544
- update to new version 1.16

* Sun Jan 03 2010 Frederik Himpe <fhimpe@mandriva.org> 1.15-1mdv2010.1
+ Revision: 485872
- update to new version 1.15

* Mon Oct 19 2009 Frederic Crozat <fcrozat@mandriva.com> 1.14-2mdv2010.0
+ Revision: 458257
- Fix BR
- Fix BR
- Fix buildrequires

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - rebuild for new curl SSL backend
    - update to new version 1.14

* Tue Aug 04 2009 Frederik Himpe <fhimpe@mandriva.org> 1.13-1mdv2010.0
+ Revision: 409384
- Update to new version 1.13

* Tue Feb 17 2009 Jérôme Soyer <saispo@mandriva.org> 1.8-1mdv2009.1
+ Revision: 341534
- New upstream release

* Sun Dec 07 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7-1mdv2009.1
+ Revision: 311657
- update to new version 1.7

* Fri Sep 05 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.6-1mdv2009.0
+ Revision: 281107
- update to new version 1.6

* Sat Aug 23 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.5-1mdv2009.0
+ Revision: 275321
- update to new version 1.5

* Fri Aug 01 2008 Pascal Terjan <pterjan@mandriva.org> 1.4-1mdv2009.0
+ Revision: 259455
- 1.4

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 28 2008 Nicolas Vigier <nvigier@mandriva.com> 1.3-1mdv2009.0
+ Revision: 212645
- update to version 1.3

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - new version

* Thu Dec 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.13-1mdv2008.1
+ Revision: 138246
- new version
- drop sources 2,3,4 merged upstream
- do not package COPYING files
- new license policy
- spec file clean

* Mon Aug 13 2007 Nicolas Vigier <nvigier@mandriva.com> 0.12-1mdv2008.0
+ Revision: 62431
- new version

* Mon Aug 06 2007 Nicolas Vigier <nvigier@mandriva.com> 0.11-1mdv2008.0
+ Revision: 59495
- Import flickcurl

